using System;
using System.Data;

namespace VyhladavanieDataSet
{
    class Program
    {
        static void Main(string[] args)
        {
            /// vytvorenie zaznamu
            DSTovar ds = new DSTovar();
            
            ds.Tovar.AddTovarRow("Notebook", 5, ds.Vyrobca.AddVyrobcaRow("IBM", "BA"));
            ds.Tovar.AddTovarRow("Hard disk", 5, ds.Vyrobca.AddVyrobcaRow("WD", "KE"));


            //vyhladanie jedneho zaznamu
            //pomocou automaticky vegenerovaj metody,
            //pretoze Nazov je oznaceny ako PrimaryKey
            DSTovar.VyrobcaRow vyrobcaIBM = ds.Vyrobca.FindBymeno("IBM");

            ds.Tovar.AddTovarRow("Server", 1, vyrobcaIBM);
                                
           //Vyhladnie viacerych zaznamov
           //pozor apostrofy treba
           string kriterium = "pocet = '5'"; 

           //Potrebne pretypovat
            DSTovar.TovarRow[] rows = 
                (DSTovar.TovarRow[])ds.Tovar.Select(kriterium);   
            
            //Navigacia po tabulkach
            string vyrobcomJe = rows[0].VyrobcaRow.meno;
            Console.WriteLine("Vyrobcom je {0}", vyrobcomJe);

            //Pokus o vymazanie
            try
            {
                vyrobcaIBM.Delete();
                ds.Tovar.AcceptChanges();
            }
            catch (Exception InvalidConstraintException)
            {
                Console.WriteLine(@"Zaznam nie je mozne vymazat,
                pretoze je na neho odkazovane");
            }
            
            ds.WriteXml("db.txt");
                             
        }
    }
}
